

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>pycity_scheduling.testing package &mdash; pycity_scheduling v1.4.1 v1.4.1 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=e59714d7" />

  
      <script src="_static/jquery.js?v=5d32c60e"></script>
      <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="_static/documentation_options.js?v=cebe732b"></script>
      <script src="_static/doctools.js?v=9bcbadda"></script>
      <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            pycity_scheduling v1.4.1
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.algorithms.html">pycity_scheduling.algorithms package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.classes.html">pycity_scheduling.classes package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.util.html">pycity_scheduling.util package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">pycity_scheduling v1.4.1</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">pycity_scheduling.testing package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/pycity_scheduling.testing.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="pycity-scheduling-testing-package">
<h1>pycity_scheduling.testing package<a class="headerlink" href="#pycity-scheduling-testing-package" title="Link to this heading"></a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Link to this heading"></a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html">pycity_scheduling.testing.unit_tests package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_algorithms">pycity_scheduling.testing.unit_tests.test_algorithms module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.setUp"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.test_central_algorithm"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.test_central_algorithm()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.test_dual_decomposition"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.test_dual_decomposition()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.test_exchange_admm"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.test_exchange_admm()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.test_exchange_admm_beta"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.test_exchange_admm_beta()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.test_exchange_miqp_admm"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.test_exchange_miqp_admm()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.test_local_algorithm"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.test_local_algorithm()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_algorithms.TestAlgorithms.test_stand_alone_algorithm"><code class="docutils literal notranslate"><span class="pre">TestAlgorithms.test_stand_alone_algorithm()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_all_classes">pycity_scheduling.testing.unit_tests.test_all_classes module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_all_classes.TestAllClasses"><code class="docutils literal notranslate"><span class="pre">TestAllClasses</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_all_classes.TestAllClasses.test_all_classes"><code class="docutils literal notranslate"><span class="pre">TestAllClasses.test_all_classes()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_classes">pycity_scheduling.testing.unit_tests.test_classes module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery"><code class="docutils literal notranslate"><span class="pre">TestBattery</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.setUp"><code class="docutils literal notranslate"><span class="pre">TestBattery.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.test_calculate_co2"><code class="docutils literal notranslate"><span class="pre">TestBattery.test_calculate_co2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.test_e_ini"><code class="docutils literal notranslate"><span class="pre">TestBattery.test_e_ini()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.test_get_objective"><code class="docutils literal notranslate"><span class="pre">TestBattery.test_get_objective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.test_no_discharge"><code class="docutils literal notranslate"><span class="pre">TestBattery.test_no_discharge()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.test_populate_model"><code class="docutils literal notranslate"><span class="pre">TestBattery.test_populate_model()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.test_update_model"><code class="docutils literal notranslate"><span class="pre">TestBattery.test_update_model()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBattery.test_update_schedule"><code class="docutils literal notranslate"><span class="pre">TestBattery.test_update_schedule()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBoiler"><code class="docutils literal notranslate"><span class="pre">TestBoiler</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBoiler.setUp"><code class="docutils literal notranslate"><span class="pre">TestBoiler.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBoiler.test_calculate_co2"><code class="docutils literal notranslate"><span class="pre">TestBoiler.test_calculate_co2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBoiler.test_lower_activation"><code class="docutils literal notranslate"><span class="pre">TestBoiler.test_lower_activation()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBoiler.test_objective"><code class="docutils literal notranslate"><span class="pre">TestBoiler.test_objective()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBuilding"><code class="docutils literal notranslate"><span class="pre">TestBuilding</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBuilding.setUp"><code class="docutils literal notranslate"><span class="pre">TestBuilding.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBuilding.testReset"><code class="docutils literal notranslate"><span class="pre">TestBuilding.testReset()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBuilding.test_calculate_co2"><code class="docutils literal notranslate"><span class="pre">TestBuilding.test_calculate_co2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBuilding.test_get_objective"><code class="docutils literal notranslate"><span class="pre">TestBuilding.test_get_objective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestBuilding.test_robustness"><code class="docutils literal notranslate"><span class="pre">TestBuilding.test_robustness()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestChiller"><code class="docutils literal notranslate"><span class="pre">TestChiller</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestChiller.setUp"><code class="docutils literal notranslate"><span class="pre">TestChiller.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestChiller.test_lower_activation"><code class="docutils literal notranslate"><span class="pre">TestChiller.test_lower_activation()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestChiller.test_update_model"><code class="docutils literal notranslate"><span class="pre">TestChiller.test_update_model()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict.setUp"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict.test_autarky"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict.test_autarky()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict.test_calculate_adj_costs"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict.test_calculate_adj_costs()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict.test_calculate_co2"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict.test_calculate_co2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict.test_calculate_costs"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict.test_calculate_costs()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict.test_get_objective"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict.test_get_objective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCityDistrict.test_self_consumption"><code class="docutils literal notranslate"><span class="pre">TestCityDistrict.test_self_consumption()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCombinedHeatPower"><code class="docutils literal notranslate"><span class="pre">TestCombinedHeatPower</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCombinedHeatPower.setUp"><code class="docutils literal notranslate"><span class="pre">TestCombinedHeatPower.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCombinedHeatPower.test_calculate_co2"><code class="docutils literal notranslate"><span class="pre">TestCombinedHeatPower.test_calculate_co2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCombinedHeatPower.test_lower_activation"><code class="docutils literal notranslate"><span class="pre">TestCombinedHeatPower.test_lower_activation()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.combinations"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.combinations</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.horizon"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.horizon</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.setUp"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_integer_first"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_integer_first()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_populate_model"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_populate_model()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_populate_model_integer"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_populate_model_integer()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_populate_model_on_off"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_populate_model_on_off()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_small_horizon"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_small_horizon()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_small_horizon_low_full"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_small_horizon_low_full()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_small_horizon_low_full_integer"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_small_horizon_low_full_integer()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_update_model"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_update_model()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_update_model_integer"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_update_model_integer()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestCurtailableLoad.test_update_model_on_off"><code class="docutils literal notranslate"><span class="pre">TestCurtailableLoad.test_update_model_on_off()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.setUp"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_infeasible_consumption"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_infeasible_consumption()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_infeasible_integer"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_infeasible_integer()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_large_runtime"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_large_runtime()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_objective"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_objective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_small_horizon"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_small_horizon()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_small_runtime"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_small_runtime()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_update_integer"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_update_integer()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_update_model"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_update_model()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_update_model_integer"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_update_model_integer()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestDeferrableLoad.test_zero_runtime"><code class="docutils literal notranslate"><span class="pre">TestDeferrableLoad.test_zero_runtime()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricHeater"><code class="docutils literal notranslate"><span class="pre">TestElectricHeater</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricHeater.setUp"><code class="docutils literal notranslate"><span class="pre">TestElectricHeater.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricHeater.test_lower_activation"><code class="docutils literal notranslate"><span class="pre">TestElectricHeater.test_lower_activation()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricHeater.test_update_schedule"><code class="docutils literal notranslate"><span class="pre">TestElectricHeater.test_update_schedule()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle.setUp"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle.test_bad_charging_times"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle.test_bad_charging_times()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle.test_get_objective"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle.test_get_objective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle.test_no_charge_time"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle.test_no_charge_time()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle.test_no_discharge"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle.test_no_discharge()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle.test_populate_model"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle.test_populate_model()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricVehicle.test_update_model"><code class="docutils literal notranslate"><span class="pre">TestElectricVehicle.test_update_model()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.setUp"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_autarky"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_autarky()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_calculate_adj_costs"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_calculate_adj_costs()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_calculate_adj_energy"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_calculate_adj_energy()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_calculate_adj_power"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_calculate_adj_power()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_calculate_costs"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_calculate_costs()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_metric_delta_g"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_metric_delta_g()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_new_objective"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_new_objective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_objective"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_objective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_peak_reduction_ratio"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_peak_reduction_ratio()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_peak_to_average_ratio"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_peak_to_average_ratio()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_self_consumption"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_self_consumption()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestElectricalEntity.test_update_schedule"><code class="docutils literal notranslate"><span class="pre">TestElectricalEntity.test_update_schedule()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestFixedLoad"><code class="docutils literal notranslate"><span class="pre">TestFixedLoad</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestFixedLoad.test_populate_model"><code class="docutils literal notranslate"><span class="pre">TestFixedLoad.test_populate_model()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestFixedLoad.test_unit_conversion"><code class="docutils literal notranslate"><span class="pre">TestFixedLoad.test_unit_conversion()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestHeatPump"><code class="docutils literal notranslate"><span class="pre">TestHeatPump</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestHeatPump.setUp"><code class="docutils literal notranslate"><span class="pre">TestHeatPump.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestHeatPump.test_lower_activation"><code class="docutils literal notranslate"><span class="pre">TestHeatPump.test_lower_activation()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestHeatPump.test_update_model"><code class="docutils literal notranslate"><span class="pre">TestHeatPump.test_update_model()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestModule"><code class="docutils literal notranslate"><span class="pre">TestModule</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestModule.test_filter_entities"><code class="docutils literal notranslate"><span class="pre">TestModule.test_filter_entities()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestPhotovoltaic"><code class="docutils literal notranslate"><span class="pre">TestPhotovoltaic</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestPhotovoltaic.setUp"><code class="docutils literal notranslate"><span class="pre">TestPhotovoltaic.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestPhotovoltaic.test_calculate_co2"><code class="docutils literal notranslate"><span class="pre">TestPhotovoltaic.test_calculate_co2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestPhotovoltaic.test_objective"><code class="docutils literal notranslate"><span class="pre">TestPhotovoltaic.test_objective()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestPrices"><code class="docutils literal notranslate"><span class="pre">TestPrices</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestPrices.test_cache"><code class="docutils literal notranslate"><span class="pre">TestPrices.test_cache()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestPrices.test_unavailable_year"><code class="docutils literal notranslate"><span class="pre">TestPrices.test_unavailable_year()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestSpaceCooling"><code class="docutils literal notranslate"><span class="pre">TestSpaceCooling</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestSpaceCooling.setUp"><code class="docutils literal notranslate"><span class="pre">TestSpaceCooling.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestSpaceCooling.test_model"><code class="docutils literal notranslate"><span class="pre">TestSpaceCooling.test_model()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestSpaceHeating"><code class="docutils literal notranslate"><span class="pre">TestSpaceHeating</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestSpaceHeating.setUp"><code class="docutils literal notranslate"><span class="pre">TestSpaceHeating.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestSpaceHeating.test_model"><code class="docutils literal notranslate"><span class="pre">TestSpaceHeating.test_model()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalCoolingStorage"><code class="docutils literal notranslate"><span class="pre">TestThermalCoolingStorage</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalCoolingStorage.setUp"><code class="docutils literal notranslate"><span class="pre">TestThermalCoolingStorage.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalCoolingStorage.test_update_schedule"><code class="docutils literal notranslate"><span class="pre">TestThermalCoolingStorage.test_update_schedule()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalEntityCooling"><code class="docutils literal notranslate"><span class="pre">TestThermalEntityCooling</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalEntityCooling.setUp"><code class="docutils literal notranslate"><span class="pre">TestThermalEntityCooling.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalEntityCooling.test_update_schedule"><code class="docutils literal notranslate"><span class="pre">TestThermalEntityCooling.test_update_schedule()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalEntityHeating"><code class="docutils literal notranslate"><span class="pre">TestThermalEntityHeating</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalEntityHeating.setUp"><code class="docutils literal notranslate"><span class="pre">TestThermalEntityHeating.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalEntityHeating.test_update_schedule"><code class="docutils literal notranslate"><span class="pre">TestThermalEntityHeating.test_update_schedule()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalHeatingStorage"><code class="docutils literal notranslate"><span class="pre">TestThermalHeatingStorage</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalHeatingStorage.setUp"><code class="docutils literal notranslate"><span class="pre">TestThermalHeatingStorage.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestThermalHeatingStorage.test_update_schedule"><code class="docutils literal notranslate"><span class="pre">TestThermalHeatingStorage.test_update_schedule()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestTimer"><code class="docutils literal notranslate"><span class="pre">TestTimer</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestTimer.setUp"><code class="docutils literal notranslate"><span class="pre">TestTimer.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestTimer.test_more_than_one_year"><code class="docutils literal notranslate"><span class="pre">TestTimer.test_more_than_one_year()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestTimer.test_time_in_day"><code class="docutils literal notranslate"><span class="pre">TestTimer.test_time_in_day()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestTimer.test_time_in_week"><code class="docutils literal notranslate"><span class="pre">TestTimer.test_time_in_week()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestTimer.test_time_in_year"><code class="docutils literal notranslate"><span class="pre">TestTimer.test_time_in_year()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestWindEnergyConverter"><code class="docutils literal notranslate"><span class="pre">TestWindEnergyConverter</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestWindEnergyConverter.setUp"><code class="docutils literal notranslate"><span class="pre">TestWindEnergyConverter.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestWindEnergyConverter.test_calculate_co2"><code class="docutils literal notranslate"><span class="pre">TestWindEnergyConverter.test_calculate_co2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.TestWindEnergyConverter.test_objective"><code class="docutils literal notranslate"><span class="pre">TestWindEnergyConverter.test_objective()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.assert_equal_array"><code class="docutils literal notranslate"><span class="pre">assert_equal_array()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.get_env"><code class="docutils literal notranslate"><span class="pre">get_env()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_classes.solve_model"><code class="docutils literal notranslate"><span class="pre">solve_model()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_examples">pycity_scheduling.testing.unit_tests.test_examples module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_examples.TestExamples"><code class="docutils literal notranslate"><span class="pre">TestExamples</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_examples.TestExamples.setUp"><code class="docutils literal notranslate"><span class="pre">TestExamples.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_examples.TestExamples.test_all_examples"><code class="docutils literal notranslate"><span class="pre">TestExamples.test_all_examples()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_util">pycity_scheduling.testing.unit_tests.test_util module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestConstraints"><code class="docutils literal notranslate"><span class="pre">TestConstraints</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestConstraints.setUp"><code class="docutils literal notranslate"><span class="pre">TestConstraints.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestConstraints.test_lower_activation_limit"><code class="docutils literal notranslate"><span class="pre">TestConstraints.test_lower_activation_limit()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestFactory"><code class="docutils literal notranslate"><span class="pre">TestFactory</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestFactory.setUp"><code class="docutils literal notranslate"><span class="pre">TestFactory.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestFactory.test_distribution"><code class="docutils literal notranslate"><span class="pre">TestFactory.test_distribution()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestPlotSchedules"><code class="docutils literal notranslate"><span class="pre">TestPlotSchedules</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestPlotSchedules.setUp"><code class="docutils literal notranslate"><span class="pre">TestPlotSchedules.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestPlotSchedules.test_plot_into_dir"><code class="docutils literal notranslate"><span class="pre">TestPlotSchedules.test_plot_into_dir()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestSubpackage"><code class="docutils literal notranslate"><span class="pre">TestSubpackage</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestSubpackage.test_compute_profile"><code class="docutils literal notranslate"><span class="pre">TestSubpackage.test_compute_profile()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestSubpackage.test_value_extraction"><code class="docutils literal notranslate"><span class="pre">TestSubpackage.test_value_extraction()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestWriteSchedules"><code class="docutils literal notranslate"><span class="pre">TestWriteSchedules</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestWriteSchedules.setUp"><code class="docutils literal notranslate"><span class="pre">TestWriteSchedules.setUp()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestWriteSchedules.test_schedule_to_csv"><code class="docutils literal notranslate"><span class="pre">TestWriteSchedules.test_schedule_to_csv()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestWriteSchedules.test_schedule_to_json"><code class="docutils literal notranslate"><span class="pre">TestWriteSchedules.test_schedule_to_json()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestWriteSchedules.test_to_dict_1"><code class="docutils literal notranslate"><span class="pre">TestWriteSchedules.test_to_dict_1()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestWriteSchedules.test_to_dict_2"><code class="docutils literal notranslate"><span class="pre">TestWriteSchedules.test_to_dict_2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TestWriteSchedules.test_to_dict_3"><code class="docutils literal notranslate"><span class="pre">TestWriteSchedules.test_to_dict_3()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TimerStub"><code class="docutils literal notranslate"><span class="pre">TimerStub</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TimerStub.time_in_day"><code class="docutils literal notranslate"><span class="pre">TimerStub.time_in_day()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.TimerStub.time_in_week"><code class="docutils literal notranslate"><span class="pre">TimerStub.time_in_week()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#pycity_scheduling.testing.unit_tests.test_util.solve_model"><code class="docutils literal notranslate"><span class="pre">solve_model()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="module-pycity_scheduling.testing">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-pycity_scheduling.testing" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
</section>
</section>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025, Institute for Automation of Complex Power Systems (ACS), E.ON Energy Research Center (E.ON ERC), RWTH Aachen University.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>